Versionsverlauf
===============

## [Noch nicht veröffentlicht]

## [Version 1.9.1]

- NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf NERZ-Repositories

## Version 1.9.0

- Umstellung auf Java 8 und UTF-8

## Version 1.8.0

- Umstellung auf Maven-Build

## Version 1.7.1

- Applikationsfertigmeldung wird gesetzt 

## Version 1.7.0

- Festgestellte Fehler in den Ereignisdaten (Ereigniskategorie == 0) einer 
  empfangenen Meldung werden mit Debuglevel 'WARNING' ausgegeben, die 
  Meldung wird aber trotzdem importiert
  
## Version 1.6.7

- zusätzliche Ausgaben auf Debuglevel 'FINE' zur Analyse des zeitlichen Verhaltens
  beim Eintreffen einer neuen Meldung

## Version 1.6.6

- Synchronisierungsfehler der Dateiliste zwischen FTP-Empfang und 
  Verarbeitung im Meldungsdekodierer korrigiert
- Meldungsdateien werden jetzt vor der Verarbeitung sortiert (korrigiert
  Fehlermeldungen 'Die ältere Version der RDS-Meldung ... wird verworfen'
  wenn in einem Zyklus mehrere Dateien mit der gleichen Meldung in der 
  falschen Reihenfolge verarbeitet werden) 
  
    
## Version 1.6.5

- Memory-Leak bei Abmeldung der Meldungsobjekte am DAV korrigiert
  
## Version 1.6.4

- Fehler korrigiert: Beim Start werden aktuelle Meldungen aus bestehenden Dateien
  nicht importiert und die Dateien gelöscht.
- Die Versionsprüfung der RDS-Meldungen wurde auf "externe-Version >= interne-Version"
  (bisher ">") umgestellt, so dass existierende Dateien mit der aktuellen Version 
  korrekt importiert und die Daten der RDS-Meldung unter dem Aspekt 'aps.rdsEmpfangen' 
  publiziert werden

## Version 1.6.3

- Behandlung von Vorhersagen korrigiert
- Invalidierung von Meldungen ohne vorheriges Entfernen aus der Meldungsmenge
  wird korrekt behandelt

## Version 1.6.2

- Anmeldetimeout für die Datenanmeldung am DAV von 10 auf 20s erhöht
- Behandlung von vom DAV empfangenen Meldungsobjekten ohne Daten korrigiert
  

## Version 1.6.1

Das Zusatzprogramm 'AbgelaufeneMeldungenLoeschen' wurde überarbeitet:

- Es wird jetzt die Menge der RDS-Meldungen überprüft, und invalide Objekte aus der Menge
  entfernt.
- Die Mengenzugriffe wurden optimiert.
- Fehler beim Laden der Daten wurden korrigiert. 

## Version 1.6.0

- Die Behandlung von unerwarteten Ausnahmen wurde korrigiert, insbesondere bei
  der Beendigung von internen Threads. Die Applikation beendet sich und erzeugt
  eine aussagekräftige Betriebsmeldung (Fehler).
- TIC-Locationen mit dem speziellen Code '4294967295' für Locations mit
  LocationFormat = TIC Location werden jetzt wie folgt behandelt:
  Das Attribut 'LocationCode' wird auf den Wert '0' gesetzt.
- Die lokale erzeugten Dateien zum Versand werden jetzt nach dem Versand
  gelöscht.
- Die Quantitaet 'QLO' wird unterstützt 
  (mit KB 'kb.tmKExLMStGlobal', Version 14)

## Version 1.5.0

- Erzeugung der Meldungsobjekte unter Nutzung des Paketes:
  de.bsvrz.sys.funclib.dynobj
- zusätzliche Debug-Ausgaben
- Die im Zuge der Entwicklung der SWE RDSTMCVerwaltung neu eingeführten
  Attribute der ATG rdsMeldung werden kopiert, wenn die Meldung als 
  'versendet' publiziert wird
  
## Version 1.4.1

- Die Meldungsdatei wird gesichert, wenn Fehler bei der Aktualisierung einer
  Meldung auftreten.
- Skript "AbgelaufeneMeldungenLoeschen.bash': fehlerhaftes Leerzeichen entfernt


## Version 1.4.0

- Erzeugung der Meldungsobjekte unter Nutzung des Paketes:
  de.bsvrz.sys.funclib.vewdynobj
  Diese Bibliothek erfordert die Existenz einer Zuordnungsdatei 
  'zuordnung.csv' im gleichen Verzeichnis wie die JAR-Datei der Bibliothek.
  Die Zuorndnungsdatei kann auch leer sein.
  Bei nicht vorhandener oder fehlerhafter Zuordnungsdatei wird die Applikation
  durch die Bibliothek mit einer entsprechenden Fehlermeldung beendet.

## Version 1.3.0

- Fehler in der Aktualisierung der Locationcode-Listen beseitigt.
- Testskripte für den Versand im Verzeichnis 'Tests'.
- TIC-Zeitstempel werden als UTC interpretiert bzw. erzeugt

## Version 1.2.0

- Bei eingehenden Meldungen mit Status 'Aufhebung' und 'Löschung' wird 
  die Ablaufzeit  nicht ausgewertet, d.h. derartige Meldungen werden immer
  unabhängig von der Ablaufzeit verarbeitet. 


## Version 1.1.0

- die Erkennung von beendeten Threads wurde korrigiert
- die Zuweisung der Ereigniskodes auf Ereignis-, Empfehlungs- bzw. 
  Vorhersagecode wurde korrigiert
- Probleme beim Start ohne gültigen Parametersatz korrigiert


## Version 1.0.0

- erste Bereitstellung

 [Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.lms/compare/v1.9.1...HEAD
 [Version 1.9.1]: 
 https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.lms/compare/v1.9.0...v1.9.1
 


  